qbipc_common.h(3)

NAME
qbipc_common.h - common types and definitions

SYNOPSIS

#include <stdint.h>

  Data Structures
struct qb_ipc_request_header
struct qb_ipc_response_header

  Macros
#define QB_IPC_MSG_NEW_MESSAGE 0
#define QB_IPC_MSG_USER_START QB_IPC_MSG_NEW_MESSAGE
#define QB_IPC_MSG_AUTHENTICATE -1
#define QB_IPC_MSG_NEW_EVENT_SOCK -2
#define QB_IPC_MSG_DISCONNECT -3

  Enumerations
enum qb_ipc_type { QB_IPC_SOCKET, QB_IPC_SHM, QB_IPC_POSIX_MQ, QB_IPC_SYSV_MQ, QB_IPC_NATIVE }

  Functions
struct qb_ipc_request_header __attribute__ ((aligned(8)))

  Variables
enum qb_ipc_type __attribute__

Detailed Description

common types and definitions

Macro Definition Documentation

  #define QB_IPC_MSG_AUTHENTICATE -1

  #define QB_IPC_MSG_DISCONNECT -3

  #define QB_IPC_MSG_NEW_EVENT_SOCK -2

  #define QB_IPC_MSG_NEW_MESSAGE 0

  #define QB_IPC_MSG_USER_START QB_IPC_MSG_NEW_MESSAGE

Enumeration Type Documentation

  enum qb_ipc_type

Enumerator

QB_IPC_SOCKET

QB_IPC_SHM

QB_IPC_POSIX_MQ

QB_IPC_SYSV_MQ

QB_IPC_NATIVE

Function Documentation

  struct qb_ipc_request_header __attribute__ ((aligned(8)))

Variable Documentation

  int32_t error __attribute__

Author

Generated automatically by Doxygen for libqb from the source code.